Bug 771417 - Form fields disabled in bundle creation wizard
Form fields disabled in bundle creation wizard
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity urgent (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 694221
  Show dependency treegraph
 
Reported: 2012-01-03 12:10 EST by John Sanda
Modified: 2013-09-02 03:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2012-01-03 12:10:29 EST
Description of problem:
In the feature/gwt-upgrade branch, all of the form fields in the bundle creation wizard with the exception of radio buttons are disabled. This completely prevents me from proceeding with the wizard since I cannot type a URL, upload a bundle, or file, or type in a recipe.

I observed this in Chrome 10, Firefox 3.6.13 and Firefox 8.0.1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Sanda 2012-01-03 15:51:14 EST
After further investigation, it appears that this issue stems from the class RadioGroupWithComponentsItem, which creates RadioGroupItems. RadioGroupWithComponentsItem is also used on the CLI alert notification sender form; so, the problem manifests itself there as well.
Comment 2 John Sanda 2012-01-04 08:17:11 EST
Fix has been been pushed to the feature/gwt-upgrade branch. The fix resolves the issue in both the bundle creation wizard and in the CLI alert notification sender window.

commit hash: 740e052f948e1fb9d013b5a17f3e6f8c67d8001e
Comment 3 John Sanda 2012-02-17 11:45:09 EST
This has been merged into master.
Comment 4 Jeeva Kandasamy 2012-04-16 07:06:40 EDT
Verified on:
Version: 4.4.0-SNAPSHOT
Build Number: 472e72f
GWT Version: 2.4.0
SmartGWT Version: 3.0
Browser Version : Firefox ESR 10.0.3

Able to select different radio buttons on bundle page and able to upload bundles successfully.
Comment 5 Heiko W. Rupp 2013-09-02 03:21:02 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.